libcdr::CDRClosePathElement Class Reference
Inheritance diagram for libcdr::CDRClosePathElement:

## Public Member Functions

| CDRClosePathElement ()
| ~CDRClosePathElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Constructor & Destructor Documentation

## CDRClosePathElement()

libcdr::CDRClosePathElement::CDRClosePathElement | ( |  | ) |

inline

## ~CDRClosePathElement()

libcdr::CDRClosePathElement::~CDRClosePathElement | ( |  | ) |

inline override

## Member Function Documentation

## clone()

std::unique_ptr< CDRPathElement > libcdr::CDRClosePathElement::clone | ( |  | ) |

override virtual

Implements libcdr::CDRPathElement.

## transform() [1/2]

void libcdr::CDRClosePathElement::transform | ( | const CDRTransform & | trafo | ) |

override virtual

Implements libcdr::CDRPathElement.

## transform() [2/2]

void libcdr::CDRClosePathElement::transform | ( | const CDRTransforms & | trafos | ) |

override virtual

Implements libcdr::CDRPathElement.

## writeOut()

void libcdr::CDRClosePathElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const

override virtual

Implements libcdr::CDRPathElement.

The documentation for this class was generated from the following file:

- CDRPath.cpp